org.richfaces.taglib

## Class HotKeyTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.HotKeyTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class HotKeyTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HotKeyTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setCheckParent(javax.el.ValueExpression __checkParent)` Defines the hotkey handling of events generated by child components nested into the parent component to which the &lt;rich:hotKey&gt; is attached.
    `void` | `setDisableInInput(javax.el.ValueExpression __disableInInput)` Disables the hotkeys activated on input elements when the value of this attribute is "true".
    `void` | `setDisableInInputTypes(javax.el.ValueExpression __disableInInputTypes)` Defines the types of the inputs not to be influenced with hotKey component.
    `void` | `setHandler(javax.el.ValueExpression __handler)` Defines the JavaScript function name which is called on hotkey activation Setter for handler
    `void` | `setKey(javax.el.ValueExpression __key)` Defines the hotkey itself Setter for key
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setSelector(javax.el.ValueExpression __selector)` Defines a selector for query Setter for selector
    `void` | `setTiming(javax.el.ValueExpression __timing)` Defines the time when the hotkey is registered.
    `void` | `setType(javax.el.ValueExpression __type)` Defines the type of a keyboard event (onkeyup, onkeypress, etc.)

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### HotKeyTag

          public HotKeyTag()

  - ### Method Detail

    - #### setCheckParent

          public void setCheckParent(javax.el.ValueExpression __checkParent)

      Defines the hotkey handling of events generated by child components nested into the parent component to which the &lt;rich:hotKey&gt; is attached. Setter for checkParent
      Parameters:
        `checkParent` - - new value

    - #### setDisableInInput

          public void setDisableInInput(javax.el.ValueExpression __disableInInput)

      Disables the hotkeys activated on input elements when the value of this attribute is "true". Setter for disableInInput
      Parameters:
        `disableInInput` - - new value

    - #### setDisableInInputTypes

          public void setDisableInInputTypes(javax.el.ValueExpression __disableInInputTypes)

      Defines the types of the inputs not to be influenced with hotKey component. Possible values: buttons, texts and all (default). By default it is empty and this means ALL the types. Setter for disableInInputTypes
      Parameters:
        `disableInInputTypes` - - new value

    - #### setHandler

          public void setHandler(javax.el.ValueExpression __handler)

      Defines the JavaScript function name which is called on hotkey activation Setter for handler
      Parameters:
        `handler` - - new value

    - #### setKey

          public void setKey(javax.el.ValueExpression __key)

      Defines the hotkey itself Setter for key
      Parameters:
        `key` - - new value

    - #### setSelector

          public void setSelector(javax.el.ValueExpression __selector)

      Defines a selector for query Setter for selector
      Parameters:
        `selector` - - new value

    - #### setTiming

          public void setTiming(javax.el.ValueExpression __timing)

      Defines the time when the hotkey is registered. Possible values are "immediate" (by default), "onload", and "onregistercall". Default value is "immediate" Setter for timing
      Parameters:
        `timing` - - new value

    - #### setType

          public void setType(javax.el.ValueExpression __type)

      Defines the type of a keyboard event (onkeyup, onkeypress, etc.) Setter for type
      Parameters:
        `type` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.